[beta] Creates a campaign.

Creates a campaign. The campaign is created in your organization's Draft status with createdSource set to api. Creating a campaign never creates work orders or places items on hold.

Rate limit: 100 requests/min (learn more about rate limits here).

To use this endpoint, select Write Campaigns under the Work Orders category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Campaign to create.

string

Customer or OEM-aligned campaign number.

string
enum
required

Type of the campaign. Valid values: safetyRecall, mandatoryCampaign, voluntary, internal

Allowed:
string

Free-form description of the campaign.

date-time

End of the campaign in RFC 3339 format. Must not be before startTime.

boolean
Defaults to false

Whether campaign work is expected to be claimable as warranty or recall work. Defaults to false.

string
required

Display name of the campaign.

recallMetadata
object

Recall provenance for a recall-sourced campaign.

date-time

Start of the campaign in RFC 3339 format.

string
enum

Priority applied to work orders generated from the campaign. Uses the same values as the priority field of the Work Orders API. Defaults to no priority. Valid values: High, Low, Medium, Urgent

Allowed:
string

ID of a work order template, as returned by GET /maintenance/work-order-templates, that pre-populates work orders generated from the campaign.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json